
#include "stdafx.h"
#include "InteractorStyleBase.h"

#define defaultVtkLog _T("\\bin\\log\\vtkLog.txt")
vtkCxxRevisionMacro(InteractorStyleBase, "$Revision: 2.27 $");

InteractorStyleBase::InteractorStyleBase(void)
{
  outwin = vtkFileOutputWindow::New();
  RedirectWarning();
}

InteractorStyleBase::~InteractorStyleBase(void)
{
  outwin->Delete();
}
//-----------------------------------------------------------------------------
void InteractorStyleBase::RedirectWarning()
{
  USES_CONVERSION;
  CString endohome = _tgetenv(_T("C:"));
  CString fileName = endohome + CString(defaultVtkLog);
#ifdef _UNICODE
  outwin->SetFileName(W2A(fileName));
#else
  outwin->SetFileName((LPSCTR)fileName);
#endif
  outwin->SetInstance(outwin);
  outwin->AppendOn();
}
/*****************************************************************************/
//!
//! EOF