#include "stdafx.h"
#include "AppEnvironment.h"

#include "ViewsManager.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

CAppEnvironment::CAppEnvironment ()
{
  m_pViewManager = new ViewsManager ();
}

CAppEnvironment::~CAppEnvironment ()
{ 
  if (m_pViewManager)
    delete m_pViewManager;
}
//-----------------------------------------------------------------------------
void 
CAppEnvironment::InitDisplayModules ()
{
  m_pViewManager->LoadDisplayResources ();
}
//-----------------------------------------------------------------------------
void 
CAppEnvironment::DetachDisplayModules ()
{
  m_pViewManager->UnloadDisplayResources ();
}
//!----------------------------------------------------------------------------
ViewsManager * 
CAppEnvironment::GetViewManager ()
{
  return m_pViewManager;
}
/*****************************************************************************/
//!
//! EOF