
class C3dViewCalc;

class C3dSubsystem
{
public:
  ~C3dSubsystem();

  //! singleton pattern
  static C3dSubsystem* getInstance();
  static void deleteInstance();

  //! Get the 3d view
  C3dViewCalc* get3dView();

private:
  //! no outside creation
  C3dSubsystem();
  static C3dSubsystem* sThe3dSubsystemInstance;

  C3dViewCalc* m_p3dView;
};
