#pragma once

#include "IEndoDisplay.h"

class InteractorStyle1;
class InteractorStyle2;
class vtkRenderWindow;
class vtkWin32RenderWindowInteractor;

class C3dViewCalc : public IEndoDisplay
{
public:
  C3dViewCalc();
  ~C3dViewCalc();  

  virtual HWND getDisplay(void) const;
  virtual void draw();
  virtual bool create(DWORD style, HWND parent, UINT id);

private:
  //! vtk objects to display the scene
  vtkRenderWindow			            *m_pRenderWnd;
  vtkWin32RenderWindowInteractor	*m_pInteractor;
  InteractorStyle1   *m_pInteractorStyle1;
  InteractorStyle2   *m_pInteractorStyle2;
};
