#include "stdafx.h"
#include "3dSubsystem.h"
#include "3dViewCalc.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

static class C3dSubsystemDeleter
{
public:
  ~C3dSubsystemDeleter()
  {
    C3dSubsystem::deleteInstance();
  }
} gTheSubsystemDeleter;


C3dSubsystem* C3dSubsystem::sThe3dSubsystemInstance = NULL;


C3dSubsystem::C3dSubsystem()
{
  //the views
  m_p3dView = new C3dViewCalc();
}

C3dSubsystem::~C3dSubsystem()
{   
}
//-----------------------------------------------------------------------------
C3dSubsystem*
C3dSubsystem::getInstance()
{
  if (NULL == sThe3dSubsystemInstance)
    sThe3dSubsystemInstance = new C3dSubsystem;

  return sThe3dSubsystemInstance;
}
//-----------------------------------------------------------------------------
void
C3dSubsystem::deleteInstance()
{
  delete sThe3dSubsystemInstance;
}
//-----------------------------------------------------------------------------
C3dViewCalc*
C3dSubsystem::get3dView()
{    
  return m_p3dView;
}
