#pragma once

class CAppEnvironment;
class IEndoDisplay;

class ViewsManager
{
  public:
    ViewsManager();
    ~ViewsManager();

  //! LoadDisplayResources
  void LoadDisplayResources ();  
  //! Unloads and deletes the dlls
  void UnloadDisplayResources ();

  //! creates the windows held in dlls
  void CreateDisplayWnd (HWND child);

  //! returns the handle for the windows
  HWND getDpy3dHandle ();
  
private:
  //! Carica modulo di visualizzazione 3d
  void LoadDpy3d ();
  
private:
  //! Endodisplay interface
  IEndoDisplay *m_pDpy3d;
  HINSTANCE m_hDpy3d;
};


class ViewMgrExcp
{
 public:
   ViewMgrExcp (CString &iMessage) : m_strMessage (iMessage){};
  ~ViewMgrExcp () {}

 public:
  void LogReport ()
  {
     AfxMessageBox (m_strMessage);
  }

 private:      
  const CString m_strMessage;
};